> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all index profiles

> Use this endpoint to discover existing index profiles and their IDs and attributes.  Optionally, you can filter the list by index pipeline, collection, and so on.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-indexing.json get /index-profiles
openapi: 3.0.1
info:
  title: Fusion Indexing API
  description: |-
    The Lucidworks Fusion Indexing API manages
    parsers, index pipelines, index stages, index profiles, and subscriptions.
  contact:
    name: Lucidworks
    url: https://www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: 'Your environment host. '
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: 'Your environment host. '
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security:
  - Basic auth: []
  - API key: []
tags:
  - name: Index Pipelines API
    description: >-
      Use these endpoints to view and manage your index pipelines.  You can also
      index documents using this API, though the Index Profiles API is
      recommended instead.
  - name: Index Profiles API
    description: >-
      The Index Profiles API provides static endpoints that you can consistently
      point to when indexing your documents.  Index profiles allow you to change
      the index pipelines, parsers, or collections behind them without changing
      the endpoint you use for indexing.  See the Index Profiles CRUD API for
      endpoints that create and modify index profiles.
  - name: Index Profiles CRUD API
    description: >-
      Use these endpoints to create and modify index profiles.  Index profiles
      allow you to change the index pipelines, parsers, or collections behind
      them without changing the endpoint you use for indexing.  See the Index
      Profiles API for the indexing endpoints.
  - name: Index Stage API
    description: >-
      Use these endpoints to view the available index pipeline stages and their
      configuration parameters.
  - name: Index Stage Plugins API
    description: >-
      Use these endpoints to view, install, and manage custom index stages
      developed with the Index Stage SDK.
  - name: Parsers CRUD API
    description: >-
      Endpoints to perform Create-Read-Update-Delete operations on Parsers,
      Deprecated: use async-parsing endpoint instead.
  - name: Parsers Schema API
    description: >-
      Endpoints to get the Schema of Parsers. Deprecated: use async-parsing
      endpoint instead.
  - name: Subscriptions API
    description: The Subscriptions API
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /index-profiles:
    get:
      tags:
        - Index Profiles CRUD API
      summary: List all index profiles
      description: >-
        Use this endpoint to discover existing index profiles and their IDs and
        attributes.  Optionally, you can filter the list by index pipeline,
        collection, and so on.
      operationId: getAllEntities_2
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IndexProfile'
              example:
                - id: EnterpriseSearch
                  indexPipeline: EnterpriseSearch
                  collection: EnterpriseSearch
                  parser: EnterpriseSearch
                  params: []
                - id: quickstart
                  indexPipeline: quickstart
                  collection: quickstart
                  parser: quickstart
                  params: []
                - id: Documentation
                  indexPipeline: Documentation
                  collection: Documentation
                  parser: Documentation
                  params: []
components:
  schemas:
    IndexProfile:
      description: A JSON object defining the index profile.
      type: object
      properties:
        id:
          description: A unique index profile ID.
          type: string
          example: default
        indexPipeline:
          description: The index pipeline associated with this index profile.
          type: string
        collection:
          description: The collection associated with this index profile.
          type: string
        parser:
          description: The parser associated with this index profile.
          type: string
  securitySchemes:
    Basic auth:
      type: http
      scheme: basic
    API key:
      name: x-api-key
      type: apiKey
      in: header

````